Package org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedFindClassByName

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedFindClassByName

All Implemented Interfaces:
  `java.security.PrivilegedAction<java.lang.Class<?>>`

Enclosing class:
  WebappClassLoaderBase

    protected class WebappClassLoaderBase.PrivilegedFindClassByName
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.lang.Class<?>>

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    public java.lang.Class<?> run()

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.lang.Class<?>>`